GET /authors
Operation ID: listAuthors
Auth: unknown
Description
Search and filter through researcher profiles with support for full-text search, filtering by institution, citation metrics, and more.
Parameters (9)
(string, query, optional)
Cursor token for deep pagination (start with 'cursor=*')
(string, query, optional)
Filter constraints using field:value syntax. Multiple filters can be combined with commas (AND). Supports OR with pipe (|) and NOT with !. Examples: publication_year:2024, authorships.author.id:A5023888391, is_oa:true
(string, query, optional)
Group results by a field (e.g., publication_year)
(integer, query, optional, default: 1)
Page number for pagination (capped at 10,000 results total; use cursor for deeper pagination)
Constraints: {'minimum': 1}
(integer, query, optional, default: 25)
Number of results per page (default: 25, max: 100)
Constraints: {'minimum': 1, 'maximum': 100}
(integer, query, optional)
Return a random sample of N results (max: 10000)
Constraints: {'minimum': 1, 'maximum': 10000}
(string, query, optional)
Full-text search query
(string, query, optional)
Return only specified fields (comma-separated)
(string, query, optional)
Sort order using field:direction syntax. Direction can be 'asc' or 'desc'. Example: cited_by_count:desc
Examples (6)
| Title | Type | URL | Action |
|---|---|---|---|
| Search authors by name | curl |
https://api.openalex.org/authors?search=albert+einstein |
|
| Filter authors by institution country | curl |
https://api.openalex.org/authors?filter=last_known_institution.country_code:US&per_page=10 |
|
| Paginated author search with page parameter | curl |
https://api.openalex.org/authors?search=machine+learning&page=2&per_page=50 |
|
| Search authors by name | doc_extracted |
https://api.openalex.org/authors?search=Albert+Einstein |
|
| Search for author Heather Piwowar | doc_extracted |
https://api.openalex.org/authors?search=Heather+Piwowar |
|
| List authors | probe-gate |
https://api.openalex.org/authors?per_page=25 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:14:24.317603 | 200 | 3563ms | |
| 2026-03-23 10:31:06.112074 | 400 | 210ms | |
| 2026-03-23 10:19:18.337014 | 200 | 286ms | |
| 2026-03-22 21:11:17.546370 | 200 | 468ms | |
| 2026-03-22 21:01:11.179915 | 200 | 999ms | |
| 2026-03-22 21:00:09.486023 | 200 | 1038ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-22 21:01:11.179915 | 86745f83807c |
a61b73c2628d |
| 2026-03-22 21:11:17.546370 | a61b73c2628d |
5c94232b212f |
| 2026-03-23 10:19:18.337014 | 5c94232b212f |
307982b11bb3 |
| 2026-03-23 10:31:06.112074 | 307982b11bb3 |
8a2978db8bc4 |
| 2026-03-23 11:14:24.317603 | 8a2978db8bc4 |
0e5d63a543c6 |